#include <stdlib.h>
#include <time.h>

#include <QMessageBox>
#include "System.h"

bool System::mkDir( const QString & qstrDir )
{
	QDir qdPathName( QFileInfo( qstrDir ).path() );
	return qdPathName.mkdir( QFileInfo( qstrDir ).fileName() );
}

QString System::chDir( const QString & qstrDir )
{
	QString qstrCurrent = QDir::currentPath();
	if( QDir::setCurrent( qstrDir ) )
		return qstrCurrent;
	return QString();
}

void System::randomize()
{
	srand( time( NULL ) );
}

int System::random( int nLower, int nUpper )
{
	if( nLower < 0 || nUpper < 0 || nUpper < nLower )
		return -1;

	return nLower + ( int )( ( float )( nUpper - nLower + 1 ) * ( rand() / ( RAND_MAX + 1.0f ) ) );
}

void System::warning( const QString & qstrWarn, QWidget * parent )
{
	QMessageBox qmb( QMessageBox::Warning, "Warning", qstrWarn, QMessageBox::NoButton, parent );
	qmb.exec();
}
