#include "TabMod.h"
#include "ui_TabMod.h"

#include "MyDialogSelectMod.h"
#include "Settings.h"
#include "FilePaths.h"
#include "System.h"

TabMod::TabMod( QWidget *parent ) :
	QGroupBox( parent ),
	ui( new Ui::TabMod )
{
	ui->setupUi( this );

	//QFont qfSmallerFont;
	//qfSmallerFont.setPointSize( 8 );
	//ui -> qteModDescription -> setFont( qfSmallerFont );

	ui -> qlModPixmap -> setFixedSize( 255, 112 );
	ui -> qvlModDetails -> setAlignment( ui -> qlModPixmap, Qt::AlignHCenter );
}

TabMod::~TabMod()
{
	delete ui;
}

void TabMod::updateContent()
{
	ui -> qlModName -> setText( SETTINGS.getModFullName() );
	ui -> qlModName -> setToolTip( SETTINGS.getModFullName() );
	ui -> qlModPixmap -> setPixmap( QPixmap( FILEPATHS.getModPixmap( SETTINGS.getModName(), SETTINGS.getModImage() ) ) );
	ui -> qteModDescription -> setText( SETTINGS.getModInfo() );

	m_qstrModWebsite = SETTINGS.getModWebsite();
	ui -> qpbModWebsite -> setToolTip( m_qstrModWebsite );
	if( ! m_qstrModWebsite.isEmpty() )
		ui -> qpbModWebsite -> setEnabled( true );
	else
		ui -> qpbModWebsite -> setEnabled( false );

	m_qstrModForum = SETTINGS.getModForum();
	ui -> qpbModForum -> setToolTip( m_qstrModForum );
	if( ! m_qstrModForum.isEmpty() )
		ui -> qpbModForum -> setEnabled( true );
	else
		ui -> qpbModForum -> setEnabled( false );
}

void TabMod::on_qpbSelectMod_clicked()
{
	MyDialogSelectMod dialog( this );
	QString qstrModName = dialog.select();
	if( ! qstrModName.isEmpty() )
	{
		SETTINGS.setModName( qstrModName );
		updateContent();
		emit setFlagsChanged();
	}
}

void TabMod::on_qpbNoMod_clicked()
{
	SETTINGS.setModName( "" );
	updateContent();
	emit setFlagsChanged();
}

void TabMod::on_qpbModWebsite_clicked()
{
	System::runBrowser( m_qstrModWebsite );
}

void TabMod::on_qpbModForum_clicked()
{
	System::runBrowser( m_qstrModForum );
}
