#include "TabWelcome.h"
#include "ui_TabWelcome.h"

#include "GameInfo.h"
#include "System.h"

TabWelcome::TabWelcome( QWidget *parent ) :
	QGroupBox( parent ),
	ui( new Ui::TabWelcome )
{
	ui->setupUi( this );

	ui -> qlPixmap -> setFixedSize( 278, 57 );
	ui -> qlPixmap -> setPixmap( QPixmap( GameInfo::getGamePixmap() ) );
	ui -> qlTitle -> setText( GameInfo::getWelcomeText() );

	QFont qfSmallerFont;
	qfSmallerFont.setPointSize( 8 );
	//ui -> qlHelp -> setFont( qfSmallerFont );
	ui -> qlHelp -> setText( "Basic setup: The first time you run the launcher you must use browser "
			"to find your fs2_open executable, then press \"Apply\". From now on you "
			"will be able to run fs2_open without loading the launcher." );

	ui -> qvlTabWelcome -> setAlignment( ui -> qlPixmap, Qt::AlignHCenter );
	ui -> qvlTabWelcome -> setAlignment( ui -> qlTitle, Qt::AlignHCenter );

	ui -> qlBugs -> setFont( qfSmallerFont );
	ui -> qlBugs -> setText( "Please report bugs in our bug system, not in the forum." );

	ui -> qpbReadme -> setToolTip( GameInfo::getReadme() );
	ui -> qpbForums -> setToolTip( GameInfo::getForums() );
	ui -> qpbReportBug -> setToolTip( GameInfo::getReportBug() );
}

TabWelcome::~TabWelcome()
{
	delete ui;
}

void TabWelcome::updateContent()
{
}

void TabWelcome::on_qpbReadme_clicked()
{
	System::runBrowser( GameInfo::getReadme() );
}

void TabWelcome::on_qpbForums_clicked()
{
	System::runBrowser( GameInfo::getForums() );
}

void TabWelcome::on_qpbReportBug_clicked()
{
	System::runBrowser( GameInfo::getReportBug() );
}

void TabWelcome::on_qpbRegisterOnline_clicked()
{
	System::runBrowser( GameInfo::getRegisterOnline() );
}
