#include "FilePaths.h"

#include <stdlib.h>

#ifdef BTRL
	#define CONFIGDIR ".btrl_demo"
#else
#ifdef TBP
	#define CONFIGDIR ".tbp"
#else
#ifdef WCSAGA
	#define CONFIGDIR ".wcsaga"
#else /* FS2_OPEN */
	#define CONFIGDIR ".fs2_open"
#endif /* WCSAGA */
#endif /* TBP */
#endif /* BTRL */

#define REGFILE		"fs2_open.ini"

bool FilePaths::initialize( const QString & qstrArgv0 )
{
	QFileInfo qfiPath = qstrArgv0;

	/* launcher was run by giving a path to the executable */
	if( qfiPath.exists() )
		m_qstrGameDir = qfiPath.canonicalPath();

	/* launcher was run by PATH, we need to find it to read symlink */
	else
	{
		QString qstrPathEnv = getenv( "PATH" );
		QStringList qstrlPaths = qstrPathEnv.split( ":", QString::SkipEmptyParts );

		for( int i = 0; i < qstrlPaths.size(); i++ )
		{
			QString qstrPath = qstrlPaths.at( i );
			qstrPath.append( "/" ).append( qstrArgv0 );
			qfiPath = qstrPath;

			if( qfiPath.exists() )
				m_qstrGameDir = qfiPath.canonicalPath();
		}
	}

	qWarning( "gamedir: %s", m_qstrGameDir.toAscii().data() );

	return true;
}

QString FilePaths::getConfigDir()
{
	QString qstrRet = QDir::homePath();
	qstrRet.append( "/" );
	qstrRet.append( CONFIGDIR );
	return qstrRet;
}

QString FilePaths::getTempDir()
{
	return QDir::tempPath();
}

QString FilePaths::getRegistry()
{
	QString qstrRet = getConfigDir();
	qstrRet.append( "/");
	qstrRet.append( REGFILE );
	return qstrRet;
}
